### r-core

`1.0.0`
Need help reading this?

### length

Return the length of an object

length
Parameters
x `(any)` A JavaScript object.
Returns
`any`: An integer.

### formalArgs

Return the name of the function arguments.

formalArgs(func: function)
Parameters
func `(function)`

### ddist

A "factory" for density functions The function extends the function by the argument `log`.

ddist
Parameters
f `(function)` A function that performs the density calculation.

### pdist

A "factory" for cumulative density functions (CDF) The function extends the function by the arguments `lower_tail` and `log_p`.

pdist
Parameters
f `(function)` A function that performs the CDF calculation.

### qdist

A "factory" for quantile functions (CDF) The function extends the function by the arguments `lower_tail` and `log_p`. The first argument of the function must be the probability at which the quantile is seeked.

qdist
Parameters
f `(function)` A function that performs the quantile calculation.

### digamma

The digamma function

digamma
Parameters
x `((boolean | number | Array))` The input. Numbers should be non-negative. `true` / `false` are converted into `1` / `0` before proceeding.
Returns
`any`: A number or an Array of numbers.

### trigamma

The trigamma function

trigamma
Parameters
x `((boolean | number | Array))` The input. Numbers should be non-negative. `true` / `false` are converted into `1` / `0` before proceeding.
Returns
`any`: A number or an Array of numbers.

### range

Return the range of an object.

range
Parameters
x `((boolean | number | Array))` The input.
Returns
`Array`: A 2-element Array containing the minimum and the maximum.
Example

    range( 1 )             # [1,1]

    range([ 1,2,3 ])       # [1,3]

    range([ 1,2,[3,4] ])   # [1,4]

### all2

Check if all values are true.

all2
Parameters
xs `(Array)` The input.
Returns
`boolean`: true or false; whether all vallues are true.
Example

    all([true, true, false])  # false

### any2

Check if any value is true.

any2
Parameters
xs `(Array)` The input.
Returns
`boolean`: true or false; whether there is a true value.
Example

    any([true, true, false])  # true

### ingamma0

Compute incomplete gamma functions

ingamma0(A: number, X: number): any
Parameters
A `(number)` A positive real number. (A LEQ 170)
X `(number)` A real number.
Returns
`any`: A triplet {GIN, GIM, GIP}, where GIN(A, X) := \int_0^x { t^{a - 1} exp(-t) } dt GIM(A, X) := Gamma(A) - GIN(A, X) = \int_x^{\infty} { t^{a - 1} exp(-t) } dt GIP(A, X) := GIN(A, X) / Gamma(A)

### union

The union of two sets

union
Parameters
x `(Array)` A set; an array of elements.
y `(Array)` A set; aA set; an array of elements.
Returns
`any`: An array of elements.

### intersect

The intersection of two sets

intersect
Parameters
x `(Array)` A set; an array of elements.
y `(Array)` A set; an array of elements.
Returns
`any`: An array of elements.

### setdiff

The difference of two sets

setdiff
Parameters
x `(Array)` A set; an array of elements.
y `(Array)` A set; an array of elements.
Returns
`any`: An array of elements.

### setequal

Equality of two sets

setequal
Parameters
x `(Array)` A set; an array of elements.
y `(Array)` A set; an array of elements.
Returns
`boolean`: true or false.

### is_element

Check if an element belongs to a set

is_element
Parameters
x `(any)` An element, or an array of elements.
y `(Array)` A set; an array of elements.
Returns
`any`: An array of elements.

### setsymdiff

The symmetric difference of two sets

setsymdiff
Parameters
x `(Array)` An array of elements.
y `(Array)` An array of elements.
Returns
`any`: An array of elements.

### walk

A map function for nested Arrays.

walk
Parameters
x `(Array)` An Array (or a nested Array).
f `(function)` A function.
Returns
`any`: An Array (or a nested Array).
Example

    walk([ 1, [2,3], [4,5] ], x => x + 1)  // returns [ 2, [ 3, 4 ], [ 5, 6 ] ]

### first

Return the first element of an object

first
Parameters
x `(any)` A JavaScript object.
Returns
`any`: The first element of an object.